version: '3.8'

services:
  lobe-chat:
    image: lobehub/lobe-chat:latest
    #deploy:
    #  resources:
    #    limits:
    #      memory: 256M
    container_name: lobe-chat
    restart: always
    ports:
      - '3210:3210'
    environment:
      OPENAI_API_KEY: sk-fUeEFERXoCS2MebUcCCiTqtRVYxlTHjiyZQwYVuAbrT3BlbkFJO_MwApIoV9MxB4v86eSN2NDhr7PckywQf8g5e0AfEA
      OPENAI_PROXY_URL: https://ai.xorbit.link:8443/e5b2a5e5-b41d-4715-9d50-d4a3b0c1a85f/v1
      ACCESS_CODE: rxy666
      ENABLED_AWS_BEDROCK: 1
      AWS_ACCESS_KEY_ID: AKIA5WLTTJQ54W7I4CHI
      AWS_SECRET_ACCESS_KEY: 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
      AWS_REGION: us-west-2
      ZHIPU_API_KEY: e25577015f8cf4555c7e49c014674b95.jOZIh0TOl76BAjCl